%global momorel 8

Name:		libtirpc
Version:	0.1.10
Release:	%{momorel}m%{?dist}
Summary:	Transport Independent RPC Library
Group:		System Environment/Libraries
License:	GPL
URL:  		http://sourceforge.net/projects/libtirpc
#URL:		http://nfsv4.bullopensource.org/

BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:        http://dl.sourceforge.net/sourceforge/libtirpc/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRequires:	automake, autoconf, libtool, pkgconfig
BuildRequires:	libgssglue-devel

%description
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of 
Open Network Computing (ONC), and is derived directly from the 
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V 
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface 
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported 
by almost 70 vendors on all major operating systems.  TS-RPC source code 
(RPCSRC 4.0) remains available from several internet sites.

%package devel
Summary:	Development files for the libtirpc library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

Patch01: libtirpc-0.1.10-dg-unlock.patch
#Patch02: libtirpc-0.1.10-errmess-unlock.patch

Patch100: libtirpc-0.1.7-compile.patch

%description devel
This package includes header files and libraries necessary for
developing programs which use the tirpc library.


%prep
%setup -q

%patch01	-p1
#%patch02	-p2

%patch100	-p1

# Remove .orig files
find . -name "*.orig" | xargs rm -f

%build
autoreconf -fisv
%configure --enable-gss
make all

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc
make install DESTDIR=%{buildroot}
# Don't package .a or .la files
rm -f %{buildroot}%{_libdir}/*.{a,la}

# create the man diretory
mv %{buildroot}%{_mandir}/man3 %{buildroot}%{_mandir}/man3t

%post  -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libtirpc.so.*
%config(noreplace)%{_sysconfdir}/netconfig

%files devel
%defattr(0644,root,root,755)
%dir %{_includedir}/tirpc
%dir %{_includedir}/tirpc/misc
%dir %{_includedir}/tirpc/rpc
%dir %{_includedir}/tirpc/rpcsvc
%{_libdir}/libtirpc.so
%{_libdir}/pkgconfig/libtirpc.pc
%{_includedir}/tirpc/fpmath.h
%{_includedir}/tirpc/getpeereid.h
%{_includedir}/tirpc/libc_private.h
%{_includedir}/tirpc/misc/event.h
%{_includedir}/tirpc/misc/queue.h
%{_includedir}/tirpc/misc/socket.h
%{_includedir}/tirpc/namespace.h
%{_includedir}/tirpc/netconfig.h
%{_includedir}/tirpc/nss_tls.h
%{_includedir}/tirpc/reentrant.h
%{_includedir}/tirpc/rpc/auth.h
%{_includedir}/tirpc/rpc/auth_des.h
%{_includedir}/tirpc/rpc/auth_gss.h
%{_includedir}/tirpc/rpc/auth_kerb.h
%{_includedir}/tirpc/rpc/auth_unix.h
%{_includedir}/tirpc/rpc/clnt.h
%{_includedir}/tirpc/rpc/clnt_soc.h
%{_includedir}/tirpc/rpc/clnt_stat.h
%{_includedir}/tirpc/rpc/des.h
%{_includedir}/tirpc/rpc/des_crypt.h
%{_includedir}/tirpc/rpc/nettype.h
%{_includedir}/tirpc/rpc/pmap_clnt.h
%{_includedir}/tirpc/rpc/pmap_prot.h
%{_includedir}/tirpc/rpc/pmap_rmt.h
%{_includedir}/tirpc/rpc/raw.h
%{_includedir}/tirpc/rpc/rpc.h
%{_includedir}/tirpc/rpc/rpc_com.h
%{_includedir}/tirpc/rpc/rpc_msg.h
%{_includedir}/tirpc/rpc/rpcb_clnt.h
%{_includedir}/tirpc/rpc/rpcb_prot.h
%{_includedir}/tirpc/rpc/rpcb_prot.x
%{_includedir}/tirpc/rpc/rpcent.h
%{_includedir}/tirpc/rpc/svc.h
%{_includedir}/tirpc/rpc/svc_auth.h
%{_includedir}/tirpc/rpc/svc_dg.h
%{_includedir}/tirpc/rpc/svc_soc.h
%{_includedir}/tirpc/rpc/types.h
%{_includedir}/tirpc/rpc/xdr.h
%{_includedir}/tirpc/rpcsvc/crypt.h
%{_includedir}/tirpc/rpcsvc/crypt.x
%{_includedir}/tirpc/spinlock.h
%{_includedir}/tirpc/un-namespace.h
%{_mandir}/*/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.10-8m)
- rebuild against rpm-4.6

* Thu Dec 11 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.10-1m)
- update 0.1.10
- merge some fixes and changes from fc-devel (libtirpc-0_1_10-1_fc11)

* Sat Nov  1 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.7-7m)
- [SECURITY] CVE-2008-4619 CVE-2007-0165
- sync with Fedora 9 updates (0.1.7-21)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.7-6m)
- rebuild against gcc43

* Tue Feb 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.7-5m)
- [SECURITY] CVE-2007-3999
- [SECURITY] http://secunia.com/advisories/29247/
- use libgssglue
- merged some fixes from fc-devel (libtirpc-0_1_7-17)

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.7-4m)
- %%NoSource -> NoSource

* Tue Jul 31 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.7-3m)
- merged some fixes from fc-devel (libtirpc-0_1_7-9_fc8)
--* Mon Jul 30 2007 <steved@redhat.com> 0.1.7-9
--- Fixed mutex lock problem in clnt_raw_create()
--- Ignore the return value of snprintf() and use strlen() instead
--  to bump the pointer in clnt_sperror()
--- A couple ntohs() were needed in bindresvport_sa()
--- Added IP_RECVERR processing with to clnt_dg_call() so
--  application will see errors instead of timing out
--- Make sure remote address (xp_rtaddr) is populated
--  with the correct type of address.
--- Change the order of network ids in /etc/netconfg
--  putting ipv4 ids before ipv6.

* Tue Jul 10 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.7-2m)
- sync with fc-devel (libtirpc-0_1_7-7_fc8)
--* Mon Jul  9 2007 <steved@redhat.com> 0.1.7-7
--- Fixed infinite loop in svc_run() (bz 246677)

* Sat May 19 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.7-1m)
- import from fc-devel's libtirpc-0.1.7-6
